Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Class OrientablePrimitiveImpl

    java.lang.Object
      org.deegree.model.spatialschema.GeometryImpl
          org.deegree.model.spatialschema.PrimitiveImpl
              org.deegree.model.spatialschema.OrientablePrimitiveImpl

All Implemented Interfaces:
  Serializable, Geometry, OrientablePrimitive, Primitive

Direct Known Subclasses:
  OrientableCurveImpl, OrientableSurfaceImpl

    public abstract class OrientablePrimitiveImpl

extends PrimitiveImpl
implements OrientablePrimitive, Serializable

default implementation of the OrientablePrimitive interface from package deegree.model. the implementation is abstract because it doesn't make sense to instantiate it.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`protected char` | `orientation`

Fields inherited from class org.deegree.model.spatialschema.GeometryImpl
`boundary, centroid, convexHull, crs, empty, envelope, mute, valid`

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Constructor Summary
`protected` | `OrientablePrimitiveImpl(CoordinateSystem crs, char orientation)` the constructor sets the curves orientation

Method Summary
`char` | `getOrientation()` returns the orientation of a curve
`void` | `setOrientation(char orientation)` sets the curves orientation

Methods inherited from class org.deegree.model.spatialschema.GeometryImpl
`calculateParam, clone, contains, contains, difference, distance, equals, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateSystem, getEnvelope, getTolerance, intersection, intersects, isEmpty, isValid, isWithinDistance, setCoordinateSystem, setEmpty, setTolerance, setValid, toString, translate, union`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateDimension, getCoordinateSystem, getDimension, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Field Detail

### orientation

    protected char orientation

Constructor Detail

### OrientablePrimitiveImpl

    protected OrientablePrimitiveImpl(CoordinateSystem crs,
                                      char orientation)
                               throws GeometryException

  the constructor sets the curves orientation

  Parameters:
    `crs` - spatial reference system of the geometry
    `orientation` - orientation of the curve ('+'|'-')
  Throws:
    `GeometryException` - will be thrown if orientation is invalid

Method Detail

### getOrientation

    public char getOrientation()

  returns the orientation of a curve

  Specified by:
    `getOrientation` in interface `OrientablePrimitive`
  Returns:
    curve orientation ('+'|'-')

### setOrientation

    public void setOrientation(char orientation)
                        throws GeometryException

  sets the curves orientation

  Specified by:
    `setOrientation` in interface `OrientablePrimitive`
  Parameters:
    `orientation` - orientation of the curve ('+'|'-')
  Throws:
    `GeometryException` - will be thrown if orientation is invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org